{% if form is defined %}
{% form_theme form with [
  'bootstrap_4_layout.html.twig',
  _self
] %}
{% endif %}

{% if (person is defined) %}
<article class="row">
  <div class="col-md-10 offset-md-1">
    <div class="row">
      <div class="image-wrapper col-sm-5 col-lg-3">
        {% if person.photo %}
          <img src="{{ person.photo }}" alt="{{ person.fullName }}"
               title="{{ person.fullName }}">
        {% endif %}
      </div>
      <div class="col-sm-7 col-lg-8">
        <div class="row">
          <div class="person-info col-xl-9">

            {% if person is defined and person == person %}
              <div>
                <h2>{{ person.fullName }}</h2>
              </div>
            {% endif %}

            {% if person.gender and person.partnerName %}
              <p>
                <strong>
                  {% if person.gender == "M" and person.partnerName %}
                    {{ 'comsa_funeral_bundle.partner_f'|trans }} {{ person.partnerName }}
                  {% elseif person.gender == "F" and person.partnerName %}
                    {{ 'comsa_funeral_bundle.partner_m'|trans }} {{ person.partnerName }}
                  {% endif %}
                </strong>
              </p>
            {% endif %}

            <p>
              {% if person.dateBirth and person.placeBirth %}
            <div>
              <strong>{{ 'comsa_funeral_bundle.birth_location'|trans }}</strong>
              {% if person.dateBirth %}
                {{ person.dateBirth }}
              {% endif %}
              {% if person.placeBirth %}
                {{ 'comsa_funeral_bundle.at'|trans }}
                {{ person.placeBirth }}
              {% endif %}
            </div>
            {% endif %}

            {% if person.dateDeath and person.placeDeath %}
              <div>
                <strong>{{ 'comsa_funeral_bundle.death_location'|trans }}</strong>
                {% if person.dateDeath %}
                  {{ person.dateDeath }}
                {% endif %}
                {% if person.placeDeath %}
                  {{ 'comsa_funeral_bundle.at'|trans }}
                  {{ person.placeDeath }}
                {% endif %}
              </div>
            {% endif %}
            </p>

            {% if person.finalSalute %}
              <p>
                <strong>{{ 'comsa_funeral_bundle.final_salute'|trans }}</strong>
                {{ person.finalSalute }}
              </p>
            {% endif %}

            {% if person.funeralLocation and person.funeralDate %}
              <p>
                <strong>{{ 'comsa_funeral_bundle.funeral_location'|trans }}</strong>
                {{ person.funeralDate|date }}
                {{ 'comsa_funeral_bundle.at'|trans }}
                {{ person.funeralLocation }}
              </p>
            {% endif %}

            {% if person.livestreamUrl %}
              <a href="{{ person.livestreamUrl }}">
                <strong>{{ 'comsa_funeral_bundle.follow_livestream'|trans }}</strong>
              </a>

            {% endif %}
          </div>
        </div>
      </div>
    </div>

    {% for comment in comments %}
      <div class="row">
        <div class="col-md-12">
          <span><strong>{{ comment.author }} </strong></span><span class="text-muted">{{ comment.createdAt|date }}</span>
        </div>
        <div class="row">
          <div class="col-md-4">
            {% if (comment.photoFileName is not empty and comment.photoFileName is not null) %}
              <img src="{{ asset('uploads/photos/' ~ comment.photoFileName) }}" alt="">
            {% endif %}
          </div>
          <div class="col-md-8">
            {{ comment.text }}
          </div>
        </div>
      </div>
    {% endfor %}
    <div class="row">
      <div class="col-md-6 pl-md-0">
        {{ form_start(form, {'action' : '/sulu-funeral/save-comment?id='~person.id}) }}
        <div class="form-group row">
          <div class="col-md-6">
            {{ form_row(form.author) }}
          </div>
          <div class="col-md-6">
            {{ form_row(form.address) }}
          </div>
        </div>
        <div class="form-group row">
          <div class="col-md-6">
            {{ form_row(form.email) }}
          </div>
          <div class="col-md-6">
            {{ form_row(form.phone) }}
          </div>
        </div>
        {{ form_end(form) }}
      </div>
    </div>
  </div>
</article>
{% endif %}
